Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getWebhooksWebhookTests({
networkId: "string",
webhookTestId: "string",
});
export const merakiNetworksWebhooksWebhookTestsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_webhooks_webhook_tests(network_id="string",
webhook_test_id="string")
pulumi.export("merakiNetworksWebhooksWebhookTestsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetWebhooksWebhookTests(ctx, &networks.GetWebhooksWebhookTestsArgs{
NetworkId: "string",
WebhookTestId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksWebhooksWebhookTestsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetWebhooksWebhookTests.Invoke(new()
{
NetworkId = "string",
WebhookTestId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksWebhooksWebhookTestsExample"] = example.Apply(getWebhooksWebhookTestsResult => getWebhooksWebhookTestsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetWebhooksWebhookTestsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getWebhooksWebhookTests(GetWebhooksWebhookTestsArgs.builder()
.networkId("string")
.webhookTestId("string")
.build());
ctx.export("merakiNetworksWebhooksWebhookTestsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getWebhooksWebhookTests
arguments:
networkId: string
webhookTestId: string
outputs:
merakiNetworksWebhooksWebhookTestsExample: ${example.item}
Using getWebhooksWebhookTests
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWebhooksWebhookTests(args: GetWebhooksWebhookTestsArgs, opts?: InvokeOptions): Promise<GetWebhooksWebhookTestsResult>
function getWebhooksWebhookTestsOutput(args: GetWebhooksWebhookTestsOutputArgs, opts?: InvokeOptions): Output<GetWebhooksWebhookTestsResult>def get_webhooks_webhook_tests(network_id: Optional[str] = None,
webhook_test_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWebhooksWebhookTestsResult
def get_webhooks_webhook_tests_output(network_id: Optional[pulumi.Input[str]] = None,
webhook_test_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWebhooksWebhookTestsResult]func GetWebhooksWebhookTests(ctx *Context, args *GetWebhooksWebhookTestsArgs, opts ...InvokeOption) (*GetWebhooksWebhookTestsResult, error)
func GetWebhooksWebhookTestsOutput(ctx *Context, args *GetWebhooksWebhookTestsOutputArgs, opts ...InvokeOption) GetWebhooksWebhookTestsResultOutput> Note: This function is named GetWebhooksWebhookTests in the Go SDK.
public static class GetWebhooksWebhookTests
{
public static Task<GetWebhooksWebhookTestsResult> InvokeAsync(GetWebhooksWebhookTestsArgs args, InvokeOptions? opts = null)
public static Output<GetWebhooksWebhookTestsResult> Invoke(GetWebhooksWebhookTestsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWebhooksWebhookTestsResult> getWebhooksWebhookTests(GetWebhooksWebhookTestsArgs args, InvokeOptions options)
public static Output<GetWebhooksWebhookTestsResult> getWebhooksWebhookTests(GetWebhooksWebhookTestsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getWebhooksWebhookTests:getWebhooksWebhookTests
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Webhook
Test stringId - webhookTestId path parameter. Webhook test ID
- Network
Id string - networkId path parameter. Network ID
- Webhook
Test stringId - webhookTestId path parameter. Webhook test ID
- network
Id String - networkId path parameter. Network ID
- webhook
Test StringId - webhookTestId path parameter. Webhook test ID
- network
Id string - networkId path parameter. Network ID
- webhook
Test stringId - webhookTestId path parameter. Webhook test ID
- network_
id str - networkId path parameter. Network ID
- webhook_
test_ strid - webhookTestId path parameter. Webhook test ID
- network
Id String - networkId path parameter. Network ID
- webhook
Test StringId - webhookTestId path parameter. Webhook test ID
getWebhooksWebhookTests Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Webhooks Webhook Tests Item - Network
Id string - networkId path parameter. Network ID
- Webhook
Test stringId - webhookTestId path parameter. Webhook test ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Webhooks Webhook Tests Item - Network
Id string - networkId path parameter. Network ID
- Webhook
Test stringId - webhookTestId path parameter. Webhook test ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Webhooks Webhook Tests Item - network
Id String - networkId path parameter. Network ID
- webhook
Test StringId - webhookTestId path parameter. Webhook test ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Webhooks Webhook Tests Item - network
Id string - networkId path parameter. Network ID
- webhook
Test stringId - webhookTestId path parameter. Webhook test ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Webhooks Webhook Tests Item - network_
id str - networkId path parameter. Network ID
- webhook_
test_ strid - webhookTestId path parameter. Webhook test ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
- webhook
Test StringId - webhookTestId path parameter. Webhook test ID
Supporting Types
GetWebhooksWebhookTestsItem
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
